LinuxSecurity.com
Share your story
The central voice for Linux and Open Source security news
Home News Topics Advisories HOWTOs Features Newsletters About Register

Welcome!
Sign up!
EnGarde Community
Login
Polls
What is the most important Linux security technology?
 
Advisories
Community
Linux Events
Linux User Groups
Link to Us
Security Center
Book Reviews
Security Dictionary
Security Tips
SELinux
White Papers
Featured Blogs
All About Linux
DanWalsh LiveJournal
Securitydistro
Latest Newsletters
Linux Security Week: April 21st, 2014
Linux Security Week: April 7th, 2014
Subscribe
LinuxSecurity Newsletters
E-mail:
Choose Lists:
About our Newsletters
RSS Feeds
Get the LinuxSecurity news you want faster with RSS
Powered By

  
Mandriva: MDVSA-2009:047 ] vim Print E-mail
User Rating:      How can I rate this item?
Posted by Benjamin D. Thomas   
Mandrake Python has a variable called sys.path that contains all paths where Python loads modules by using import scripting procedure. A wrong handling of that variable enables local attackers to execute arbitrary code via Python scripting in the current Vim working directory (CVE-2009-0316). This update provides fix for that vulnerability.
 _______________________________________________________________________

 Mandriva Linux Security Advisory                         MDVSA-2009:047
 http://www.mandriva.com/security/
 _______________________________________________________________________

 Package : vim
 Date    : February 20, 2009
 Affected: 2008.1, 2009.0, Corporate 3.0, Corporate 4.0
 _______________________________________________________________________

 Problem Description:

 Python has a variable called sys.path that contains all paths where
 Python loads modules by using import scripting procedure. A wrong
 handling of that variable enables local attackers to execute arbitrary
 code via Python scripting in the current Vim working directory
 (CVE-2009-0316).
 
 This update provides fix for that vulnerability.
 _______________________________________________________________________

 References:

 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0316
 _______________________________________________________________________

 Updated Packages:

 Mandriva Linux 2008.1:
 1e86866ea2a5c062e08f1f94da6be2b1  2008.1/i586/vim-common-7.2.065-9.4mdv2008.1.i586.rpm
 bb21a092c349505b86eefc07d6923ac8  2008.1/i586/vim-enhanced-7.2.065-9.4mdv2008.1.i586.rpm
 3cc6bc402cc562750b3f919945051215  2008.1/i586/vim-minimal-7.2.065-9.4mdv2008.1.i586.rpm
 c5cbfd6686356940de9b17332ee72e27  2008.1/i586/vim-X11-7.2.065-9.4mdv2008.1.i586.rpm 
 f6653998de83c4a6b41a3510c4379e98  2008.1/SRPMS/vim-7.2.065-9.4mdv2008.1.src.rpm

 Mandriva Linux 2008.1/X86_64:
 2fc74f91f3134cfbb4ddf266f4c81659  2008.1/x86_64/vim-common-7.2.065-9.4mdv2008.1.x86_64.rpm
 b10ac883baa13e6f404be5404bf023c8  2008.1/x86_64/vim-enhanced-7.2.065-9.4mdv2008.1.x86_64.rpm
 84d71e11328246511654f8c34721a7a5  2008.1/x86_64/vim-minimal-7.2.065-9.4mdv2008.1.x86_64.rpm
 44c0cc92ec24962e9fb80ea0429b77f5  2008.1/x86_64/vim-X11-7.2.065-9.4mdv2008.1.x86_64.rpm 
 f6653998de83c4a6b41a3510c4379e98  2008.1/SRPMS/vim-7.2.065-9.4mdv2008.1.src.rpm

 Mandriva Linux 2009.0:
 3cbaf0960a636911a3dc5ebb4482aac1  2009.0/i586/vim-common-7.2.065-9.4mdv2009.0.i586.rpm
 98962347be901e074acba95df9e51e8a  2009.0/i586/vim-enhanced-7.2.065-9.4mdv2009.0.i586.rpm
 6e5030b0750b5ed64b45f87a0f0770bf  2009.0/i586/vim-minimal-7.2.065-9.4mdv2009.0.i586.rpm
 09b38a1e6a2e3ece1ab3d9cf25c7931f  2009.0/i586/vim-X11-7.2.065-9.4mdv2009.0.i586.rpm 
 86227d005c6b04472cdb6974b30a48a3  2009.0/SRPMS/vim-7.2.065-9.4mdv2009.0.src.rpm

 Mandriva Linux 2009.0/X86_64:
 aeb75cedee9fd79166081bf668ea0352  2009.0/x86_64/vim-common-7.2.065-9.4mdv2009.0.x86_64.rpm
 a9d409d922685cb50d586a8491c09b2d  2009.0/x86_64/vim-enhanced-7.2.065-9.4mdv2009.0.x86_64.rpm
 c25e203db3affdcc92ae9f61e18a6b94  2009.0/x86_64/vim-minimal-7.2.065-9.4mdv2009.0.x86_64.rpm
 cba91cb0eb04eaf8a0d66945bcac27c7  2009.0/x86_64/vim-X11-7.2.065-9.4mdv2009.0.x86_64.rpm 
 86227d005c6b04472cdb6974b30a48a3  2009.0/SRPMS/vim-7.2.065-9.4mdv2009.0.src.rpm

 Corporate 3.0:
 f7378e4ba0cdbab4f404e4d207e013d0  corporate/3.0/i586/vim-common-7.2.065-9.4.C30mdk.i586.rpm
 2e30d992a32a9d1a4f1e9cf636c12120  corporate/3.0/i586/vim-enhanced-7.2.065-9.4.C30mdk.i586.rpm
 7a39e14e5ac9d823927475f7e65536ba  corporate/3.0/i586/vim-minimal-7.2.065-9.4.C30mdk.i586.rpm
 0808562e19bbeb9261ed97518c4db364  corporate/3.0/i586/vim-X11-7.2.065-9.4.C30mdk.i586.rpm 
 0c3e94a53652145dd02c037e5740210d  corporate/3.0/SRPMS/vim-7.2.065-9.4.C30mdk.src.rpm

 Corporate 3.0/X86_64:
 001e6850a8d5c24f545d2b842a0d31bf  corporate/3.0/x86_64/vim-common-7.2.065-9.4.C30mdk.x86_64.rpm
 976f15ad4fb5e8979c45acf1c0f4889d  corporate/3.0/x86_64/vim-enhanced-7.2.065-9.4.C30mdk.x86_64.rpm
 a05142f50f57c35e5b81fbef41eed031  corporate/3.0/x86_64/vim-minimal-7.2.065-9.4.C30mdk.x86_64.rpm
 4636bb35f09b8b0c2c4adf05fcf8f3d5  corporate/3.0/x86_64/vim-X11-7.2.065-9.4.C30mdk.x86_64.rpm 
 0c3e94a53652145dd02c037e5740210d  corporate/3.0/SRPMS/vim-7.2.065-9.4.C30mdk.src.rpm

 Corporate 4.0:
 68325d5f4973816a33018b83e8a883e0  corporate/4.0/i586/vim-common-7.2.065-8.4.20060mlcs4.i586.rpm
 a6e29df8b488a11f89dc02871bd25c8b  corporate/4.0/i586/vim-enhanced-7.2.065-8.4.20060mlcs4.i586.rpm
 c2ec746cb77f28c38c332b94e803adef  corporate/4.0/i586/vim-minimal-7.2.065-8.4.20060mlcs4.i586.rpm
 cf1c95b73df93569a2f4299ccb1e6a77  corporate/4.0/i586/vim-X11-7.2.065-8.4.20060mlcs4.i586.rpm 
 756bcb8cb1c12ac26100a8adb91a6d36  corporate/4.0/SRPMS/vim-7.2.065-8.4.20060mlcs4.src.rpm

 Corporate 4.0/X86_64:
 e3ef575ebe9d451918bba0974f252fff  corporate/4.0/x86_64/vim-common-7.2.065-8.4.20060mlcs4.x86_64.rpm
 e4dba02a44db3d1bb015c0b6d706068d  corporate/4.0/x86_64/vim-enhanced-7.2.065-8.4.20060mlcs4.x86_64.rpm
 01a1b385fa91b09d8cb455b0e00a3c3d  corporate/4.0/x86_64/vim-minimal-7.2.065-8.4.20060mlcs4.x86_64.rpm
 ad6eccac9a06fc448e2c7c02a41b451e  corporate/4.0/x86_64/vim-X11-7.2.065-8.4.20060mlcs4.x86_64.rpm 
 756bcb8cb1c12ac26100a8adb91a6d36  corporate/4.0/SRPMS/vim-7.2.065-8.4.20060mlcs4.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

  http://www.mandriva.com/security/advisories

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Mandriva Security Team
  
 
< Prev   Next >
    
Partner

 

Latest Features
Peter Smith Releases Linux Network Security Online
Securing a Linux Web Server
Password guessing with Medusa 2.0
Password guessing as an attack vector
Squid and Digest Authentication
Squid and Basic Authentication
Demystifying the Chinese Hacking Industry: Earning 6 Million a Night
Free Online security course (LearnSIA) - A Call for Help
What You Need to Know About Linux Rootkits
Review: A Practical Guide to Fedora and Red Hat Enterprise Linux - Fifth Edition
Yesterday's Edition
Fixing OpenSSL's Heartbleed flaw will take MONTHS, warns Secunia
Even the most secure cloud storage may not be so secure, study finds
Targeted Attack Uses Heartbleed to Hijack VPN Sessions
Partner Sponsor

Community | HOWTOs | Blogs | Features | Book Reviews | Networking
 Security Projects |  Latest News |  Newsletters |  SELinux |  Privacy |  Home
 Hardening |   About Us |   Advertise |   Legal Notice |   RSS |   Guardian Digital
(c)Copyright 2014 Guardian Digital, Inc. All rights reserved.